extends Node3D

@export var debug = false

func _enter_tree() -> void:
	if !debug:
		print(name, " entered")
		set_multiplayer_authority(name.to_int())
		if !is_multiplayer_authority():
			$XROrigin3D/XRCamera3D.queue_free()
			$XROrigin3D.process_mode = Node.PROCESS_MODE_DISABLED
